package com.yanzhu.manage.domain;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.yanzhu.common.core.annotation.Excel;
import com.yanzhu.common.core.web.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

import java.util.Date;

/**
 * 分包单位工人对象 pro_project_info_subdepts_users
 * 
 * @author JiangYuQi
 * @date 2024-08-25
 */
public class ProProjectInfoSubdeptsUsers extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 主键 */
    private Long id;

    /** 项目主键 */
    @Excel(name = "项目主键")
    private Long projectId;

    /** 项目名称 */
    @Excel(name = "项目名称")
    private String projectName;

    /** 分包单位 */
    @Excel(name = "分包单位")
    private Long subDeptId;

    /** 分包单位名称 */
    @Excel(name = "分包单位名称")
    private String subDeptName;

    /** 用户主键 */
    @Excel(name = "用户主键")
    private Long userId;

    /** 工人姓名 */
    @Excel(name = "工人姓名")
    private String userName;

    /** 工种类型 */
    @Excel(name = "工种类型")
    private String craftType;

    /** 工种岗位 */
    @Excel(name = "工种岗位")
    private String craftPost;

    /** 学习状态 */
    @Excel(name = "学习状态")
    private String eduStatus;

    /** 学习文件地址 */
    @Excel(name = "学习文件地址")
    private String eduFilePath;

    /** 学习签名地址 */
    @Excel(name = "学习签名地址")
    private String eduSignPath;

    /** 学习时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "学习时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date eduDate;

    /** 审批状态 */
    @Excel(name = "审批状态")
    private Long approveStatus;

    /** 进场状态 */
    @Excel(name = "进场状态")
    private String useStatus;

    /** 进行步骤 */
    @Excel(name = "进行步骤")
    private Long subStep;

    /** 疾病状态 */
    @Excel(name = "疾病状态")
    private Long illnessStatus;

    /** 严重疾病状态 */
    @Excel(name = "严重疾病状态")
    private Long supIllnessStatus;

    /** 删除标识 */
    @Excel(name = "删除标识")
    private Long isDel;

    public void setId(Long id) 
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }
    public void setProjectId(Long projectId) 
    {
        this.projectId = projectId;
    }

    public Long getProjectId() 
    {
        return projectId;
    }
    public void setSubDeptId(Long subDeptId) 
    {
        this.subDeptId = subDeptId;
    }

    public Long getSubDeptId() 
    {
        return subDeptId;
    }
    public void setSubDeptName(String subDeptName) 
    {
        this.subDeptName = subDeptName;
    }

    public String getSubDeptName() 
    {
        return subDeptName;
    }
    public void setUserId(Long userId) 
    {
        this.userId = userId;
    }

    public Long getUserId() 
    {
        return userId;
    }
    public void setUserName(String userName) 
    {
        this.userName = userName;
    }

    public String getUserName() 
    {
        return userName;
    }
    public void setCraftType(String craftType) 
    {
        this.craftType = craftType;
    }

    public String getCraftType() 
    {
        return craftType;
    }
    public void setCraftPost(String craftPost) 
    {
        this.craftPost = craftPost;
    }

    public String getCraftPost() 
    {
        return craftPost;
    }
    public void setEduStatus(String eduStatus) 
    {
        this.eduStatus = eduStatus;
    }

    public String getEduStatus() 
    {
        return eduStatus;
    }
    public void setEduFilePath(String eduFilePath) 
    {
        this.eduFilePath = eduFilePath;
    }

    public String getEduFilePath() 
    {
        return eduFilePath;
    }
    public void setEduSignPath(String eduSignPath) 
    {
        this.eduSignPath = eduSignPath;
    }

    public String getEduSignPath() 
    {
        return eduSignPath;
    }
    public void setEduDate(Date eduDate) 
    {
        this.eduDate = eduDate;
    }

    public Date getEduDate() 
    {
        return eduDate;
    }
    public void setApproveStatus(Long approveStatus) 
    {
        this.approveStatus = approveStatus;
    }

    public Long getApproveStatus() 
    {
        return approveStatus;
    }
    public void setUseStatus(String useStatus) 
    {
        this.useStatus = useStatus;
    }

    public String getUseStatus() 
    {
        return useStatus;
    }
    public void setSubStep(Long subStep) 
    {
        this.subStep = subStep;
    }

    public Long getSubStep() 
    {
        return subStep;
    }
    public void setIllnessStatus(Long illnessStatus) 
    {
        this.illnessStatus = illnessStatus;
    }

    public Long getIllnessStatus() 
    {
        return illnessStatus;
    }
    public void setSupIllnessStatus(Long supIllnessStatus) 
    {
        this.supIllnessStatus = supIllnessStatus;
    }

    public Long getSupIllnessStatus() 
    {
        return supIllnessStatus;
    }
    public void setIsDel(Long isDel) 
    {
        this.isDel = isDel;
    }

    public Long getIsDel() 
    {
        return isDel;
    }

    public String getProjectName() {
        return projectName;
    }

    public void setProjectName(String projectName) {
        this.projectName = projectName;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("projectId", getProjectId())
            .append("subDeptId", getSubDeptId())
            .append("subDeptName", getSubDeptName())
            .append("userId", getUserId())
            .append("userName", getUserName())
            .append("craftType", getCraftType())
            .append("craftPost", getCraftPost())
            .append("eduStatus", getEduStatus())
            .append("eduFilePath", getEduFilePath())
            .append("eduSignPath", getEduSignPath())
            .append("eduDate", getEduDate())
            .append("approveStatus", getApproveStatus())
            .append("useStatus", getUseStatus())
            .append("subStep", getSubStep())
            .append("illnessStatus", getIllnessStatus())
            .append("supIllnessStatus", getSupIllnessStatus())
            .append("isDel", getIsDel())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .append("remark", getRemark())
            .toString();
    }
}
